Method: advertisers.negativeKeywordLists.negativeKeywords.replace

একটি নেগেটিভ কীওয়ার্ডের তালিকায় থাকা সব নেগেটিভ কীওয়ার্ড পরিবর্তন করে।

এই অপারেশনটি নেগেটিভ কীওয়ার্ডের তালিকায় থাকা কীওয়ার্ডগুলিকে ReplaceNegativeKeywordsRequest.new_negative_keywords-এ দেওয়া কীওয়ার্ড দিয়ে প্রতিস্থাপন করবে।

HTTP অনুরোধ

POST https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords:replace

URL-এ gRPC ট্রান্সকোডিং সিনট্যাক্স ব্যবহার করা হয়।

পাথ প্যারামিটার

প্যারামিটারগুলি
advertiserId

string (int64 format)

প্রয়োজনীয়। DV360 বিজ্ঞাপনদাতার আইডি যার সাথে মূল নেগেটিভ কীওয়ার্ডের তালিকা সম্পর্কিত।

negativeKeywordListId

string (int64 format)

প্রয়োজনীয়। নেগেটিভ কীওয়ার্ডের মূল তালিকার আইডি, যেখানে নেগেটিভ কীওয়ার্ডগুলি অন্তর্ভুক্ত।

অনুরোধের বডি

অনুরোধের প্রধান অংশে নিম্নলিখিত স্ট্রাকচার সহ ডেটা থাকে:

JSON উপস্থাপনা
{
  "newNegativeKeywords": [
    {
      object (NegativeKeyword)
    }
  ]
}
ফিল্ড
newNegativeKeywords[]

object (NegativeKeyword)

নেগেটিভ কীওয়ার্ডের তালিকায় আগে থেকে থাকা কীওয়ার্ডের পরিবর্তে যে নেগেটিভ কীওয়ার্ড ব্যবহার করা হবে, তা NegativeKeywords-এর তালিকা হিসেবে উল্লেখ করা হয়েছে।

প্রতিক্রিয়ার বডি

NegativeKeywordService.ReplaceNegativeKeywords-এর জন্য উত্তর মেসেজ।

সফল হলে, প্রতিক্রিয়ার বডিতে নিচে উল্লেখ করা স্ট্রাকচার সহ ডেটা থাকে:

JSON উপস্থাপনা
{
  "negativeKeywords": [
    {
      object (NegativeKeyword)
    }
  ]
}
ফিল্ড
negativeKeywords[]

object (NegativeKeyword)

নেগেটিভ কীওয়ার্ডের সম্পূর্ণ তালিকা এখন নেগেটিভ কীওয়ার্ডের তালিকায় রয়েছে।

অনুমোদনের স্কোপ

এটির জন্য নিম্নলিখিত OAuth স্কোপ প্রয়োজন:

  • https://www.googleapis.com/auth/display-video

আরও তথ্যের জন্য, OAuth 2.0 Overview দেখুন।